appId: com.toughra.ustadmobile

---
- clearState: com.toughra.ustadmobile
- runFlow:
   file: "../common/startserver.yaml"
   env:
     CONTROLSERVER: ${CONTROLSERVER}
     TESTSERIAL: ${TESTSERIAL}
     TESTNAME: ${TESTNAME}
- launchApp
- tapOn: "Existing user"
- runFlow:
    when:
      visible: "Personal"
    commands:
      - tapOn: "Join Learning Space"
- tapOn: "Enter link manually"
- tapOn: Site link
- inputText: ${ENDPOINT}
- hideKeyboard
- tapOn: "NEXT"
- tapOn: "Username"
- inputText: ${USERNAME}
- tapOn: "Password"
- inputText: ${PASSWORD}
- hideKeyboard
- tapOn: "LOGIN"
- tapOn: "Library"